## meld 1.3.2

=== Makefile ===

.SUFFIXES :

# default install directories
include INSTALL

#
VERSION := $(shell grep "^version" meld/meldapp.py | cut -d \"  -f 2)
RELEASE := meld-$(VERSION)
MELD_CMD := ./meld #--profile
TESTNUM := 1
DEVELOPER := 0
SPECIALS := bin/meld meld/paths.py
BROWSER := firefox

ifeq ($(DEVELOPER), 1)
.PHONY:rundiff
rundiff: check
	echo $(prefix)
	$(MELD_CMD) . ../meld #?.txt
	#$(MELD_CMD) ntest/file$(TESTNUM)*
	#./meld {.,../old/dev/meld}/meld
endif

.PHONY:all
all: $(addsuffix .install,$(SPECIALS)) meld.desktop
	$(MAKE) -C po
	$(MAKE) -C help

.PHONY:clean
clean: 
	@find ./meld -type f \( -name '*.pyc' -o -name '*.install' \) -print0 |\
		xargs -0 rm -f
	@find ./bin -type f \( -name '*.install' \) -print0 | xargs -0 rm -f
	@rm -f data/meld.desktop
	$(MAKE) -C po clean
	$(MAKE) -C help clean

.PHONY:install
install: $(addsuffix .install,$(SPECIALS)) meld.desktop
	mkdir -m 755 -p \
		$(DESTDIR)$(bindir) \
		$(DESTDIR)$(libdir_) \
		$(DESTDIR)$(libdir_)/meld \
		$(DESTDIR)$(libdir_)/meld/ui \
		$(DESTDIR)$(libdir_)/meld/util \
		$(DESTDIR)$(libdir_)/meld/vc \
		$(DESTDIR)$(sharedir_)/ui \
		$(DESTDIR)$(sharedir_)/icons \
		$(DESTDIR)$(docdir_) \
		$(DESTDIR)$(sharedir)/applications \
		$(DESTDIR)$(sharedir)/pixmaps \
		$(DESTDIR)$(sharedir)/icons/hicolor/16x16/apps \
		$(DESTDIR)$(sharedir)/icons/hicolor/22x22/apps \
		$(DESTDIR)$(sharedir)/icons/hicolor/32x32/apps \
		$(DESTDIR)$(sharedir)/icons/hicolor/48x48/apps \
		$(DESTDIR)$(sharedir)/icons/hicolor/scalable/apps \
		$(DESTDIR)$(helpdir_)
	install -m 755 bin/meld.install \
		$(DESTDIR)$(bindir)/meld
	install -m 644 meld/*.py \
		$(DESTDIR)$(libdir_)/meld
	install -m 644 meld/ui/*.py \
		$(DESTDIR)$(libdir_)/meld/ui
	install -m 644 meld/util/*.py \
		$(DESTDIR)$(libdir_)/meld/util
	install -m 644 meld/vc/*.py \
		$(DESTDIR)$(libdir_)/meld/vc
	install -m 644 meld/paths.py.install \
		$(DESTDIR)$(libdir_)/meld/paths.py
	install -m 644 data/meld.desktop \
		$(DESTDIR)$(sharedir)/applications
	$(PYTHON)    -c 'import compileall; compileall.compile_dir("$(DESTDIR)$(libdir_)",10,"$(libdir_)")'
	$(PYTHON) -O -c 'import compileall; compileall.compile_dir("$(DESTDIR)$(libdir_)",10,"$(libdir_)")'
	install -m 644 \
		data/ui/*.glade \
		$(DESTDIR)$(sharedir_)/ui
	install -m 644 \
		data/ui/*.xml \
		$(DESTDIR)$(sharedir_)/ui
	install -m 644 \
		data/icons/*.xpm \
		data/icons/*.png \
		$(DESTDIR)$(sharedir_)/icons
	install -m 644 data/icons/icon.png \
		$(DESTDIR)$(sharedir)/pixmaps/meld.png
	install -m 644 data/icons/16x16/meld.png \
		$(DESTDIR)$(sharedir)/icons/hicolor/16x16/apps/meld.png
	install -m 644 data/icons/22x22/meld.png \
		$(DESTDIR)$(sharedir)/icons/hicolor/22x22/apps/meld.png
	install -m 644 data/icons/32x32/meld.png \
		$(DESTDIR)$(sharedir)/icons/hicolor/32x32/apps/meld.png
	install -m 644 data/icons/48x48/meld.png \
		$(DESTDIR)$(sharedir)/icons/hicolor/48x48/apps/meld.png
	install -m 644 data/icons/48x48/meld.svg \
		$(DESTDIR)$(sharedir)/icons/hicolor/scalable/apps/meld.svg
	$(MAKE) -C po install
	$(MAKE) -C help install

meld.desktop: data/meld.desktop.in
	intltool-merge -d po data/meld.desktop.in data/meld.desktop

%.install: %
	$(PYTHON) tools/install_paths \
		libdir=$(libdir_) \
		localedir=$(localedir) \
		helpdir=$(helpdir_) \
		sharedir=$(sharedir_) \
		< $< > $@

.PHONY:uninstall
uninstall:
	-rm -rf \
		$(sharedir_) \
		$(docdir_) \
		$(helpdir_) \
		$(libdir_) \
		$(bindir)/meld \
		$(sharedir)/applications/meld.desktop \
		$(sharedir)/pixmaps/meld.png
	$(MAKE) -C po uninstall
	$(MAKE) -C help uninstall

.PHONY: test
test:
	$(MELD_CMD) ntest/file0{a,b}
	$(MELD_CMD) ntest/file5{a,b,c}
	$(MELD_CMD) ntest/{1,2}
	$(MELD_CMD) ntest/{1,2,3}

.PHONY:changelog
changelog:
	# need to find the most recently tagged version automatically
	svn2cl -r 1083:HEAD

.PHONY:release
release: check tag upload announce

.PHONY:check
check:
	@tools/check_release

.PHONY:tag
tag:
	svn cp -m "Tagged." svn+ssh://stevek@svn.gnome.org/svn/meld/trunk svn+ssh://stevek@svn.gnome.org/svn/meld/tags/release-$(subst .,_,$(VERSION))

.PHONY:upload
upload:
	scp tools/make_release stevek@master.gnome.org:
	ssh stevek@master.gnome.org python make_release $(VERSION)

.PHONY:announce
announce:
	$(BROWSER) http://freshmeat.net/projects/meld/releases/new
	$(BROWSER) http://www.gnomefiles.org/devs/newversion.php?soft_id=203 &
	$(BROWSER) http://sourceforge.net/project/admin/editpackages.php?group_id=53725 &
	#$(BROWSER) http://www.gnome.org/project/admin/newrelease.php?group_id=506 &
	
.PHONY:update
update:
	svn update
	
.PHONY:backup
backup:
	tar cvfz ~/archive/meld-`date -I`.tgz --exclude='*.pyc' --exclude='*.bak' --exclude='*.swp' .
	@echo Created ~/archive/meld-`date -I`.tgz

=== debian/changelog ===
meld (1.3.2-2) unstable; urgency=low

  [ Balint Reczey ]
  * debian/control.in:
    - Standards-Version is 3.9.1, no changes needed.

  [Adam Collard]
  * fix-chinese-translation.patch: stolen from upstream's GIT. Fix a crash
    when launching meld in a zh_CN environment. (Closes: #595025)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 04 Aug 2010 16:56:52 +0200

meld (1.3.2-1) unstable; urgency=low

  [ Josselin Mouette ]
  * vcs-crash.patch: stolen upstream. Fix a crash when using CVS, svn or
    git. Closes: #584554.

  [ Balint Reczey ]
  * New upstream release
    - Added support for diffing a file and a directory (Closes: #567340)
    - Translation updates (Thanks to Holger Wansing) (Closes: #313985)
    - vcs-crash.patch: removed, included upstream.
  * run meld using /usr/bin/python instead of env python (Closes: #551189)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 24 Jun 2010 23:54:27 +0200

meld (1.3.1-1) unstable; urgency=low

  [ Balint Reczey ]
  * New upstream release (Closes: #562989)
    - Speed up file comparisons and highlighting, significantly improving
      interactive editing performance (Closes: #309070)
    - Modifier keys not reset when focus change (Closes: #470781)
    - Version control filter updates (Closes: #506386)
    - Warp the text cursor to the start of jumped-to diff chunks
      (Closes: #523571)
    - Add RCS support (Closes: #432928)
    - Make CTRL+D and CTRL+E position the cursor(Closes: #523572)
    - Don't stop comparing dirs on read permission error (Closes: #530496)
    - Make Save-on-exit dialog clearer (Closes: #392124)
  * Drop pythonpath.patch as it has been integrated upstream
  * debian/copyright:
    - Update email of the author (Closes: #531632)
  * debian/control.in:
    - Recommend python-gtksourceview2 (Closes: #544840)
    - Add Vcs-* fields
    - Standards-Version is 3.8.4, no changes needed.

  [ Emilio Pozuelo Monfort ]
  * debian/source/format,
    debian/patches/series,
    debian/rules:
    - Convert to source format 3.0 (quilt).
  * debian/patches/sourceview-package.patch:
    - Refreshed to apply cleanly.
  * debian/pycompat:
    - Removed, not needed.

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 20 Apr 2010 00:27:49 +0200

meld (1.3.0-2) unstable; urgency=low

  * debian/control.in:
    - Stop recommending python-gnome2-desktop, meld doesn't use any module
      from python-gnome-desktop. Closes: #541557.
    - Stop depending on python-gnome2, recommend it since meld may use
      the gnomevfs module, and recommend python-gconf for the config.
      Closes: #533748.
    - Standards-Version is 3.8.3, no changes needed.
    - Remove dh_scrollkeeper call, it's deprecated now.
    - Build depend on python rather than python-dev.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 01 Sep 2009 20:16:33 +0200

meld (1.3.0-1) unstable; urgency=low

  * New upstream release (Closes: #528327)
    - Copy/paste behaviour fixes (Closes: #523576)
    - Dotfiles and removals handled in darcs (Closes: #509069)
    - Can handle Mercurial repos (Closes: #428843)
    - Up/Down patch used to skip changes (Closes: #511027)
    - Handle last line when highlighting properly (Closes: #465804)
  * Update message and depends for new python-gtksourceview2 package
  * Resync makefile.patch
  * Remove python-gnome dependency

 -- Ross Burton <ross@debian.org>  Tue, 02 Jun 2009 10:00:20 +0100

meld (1.2.1-1) unstable; urgency=low

  * New upstream release (Closes: #513609, #500629, #473091, #456530, #473487)
  * Refresh makefile.patch
  * pythonpath.patch: prepend instead of append private path (Closes: #471154)
  * Fix menu section

 -- Ross Burton <ross@debian.org>  Wed, 18 Feb 2009 17:42:15 +0000

meld (1.1.5.1-2) unstable; urgency=low

  * Really change python-gnome2-extras to -desktop (Closes: #444350)
  * Also really recommend yelp.

 -- Ross Burton <ross@debian.org>  Fri, 28 Sep 2007 15:46:03 +0100

meld (1.1.5.1-1) unstable; urgency=low

  * New upstream release.
  * Add Recommends to Yelp so that help works (Closes: #421832)
  * When sourceview can't be found, tell the user what package to
    install (Closes: #415683)
  * Change python-gnome2-extras to python-gnome2-desktop

 -- Ross Burton <ross@debian.org>  Tue,  4 Sep 2007 09:20:43 +0100

meld (1.1.5-1) unstable; urgency=low

  * Add Debian GNOME Maintainers to Uploaders; build-dep on gnome-pkg-tools.
  * Cleanups.
  * Update URL in copyright.
  * Wrap build-deps and deps.
  * Use debian/meld.menu instead of debian/menu.
  * Drop dangerous empty postinst.
  * Install manpages via debian/meld.manpages instead of
    DEB_INSTALL_MANPAGES_meld.
  * Bump up Debhelper compatibility level to 5.
  * Update URL in watch file.
  * Add a get-orig-source target to retrieve the upstream source.
  * Add ${misc:Depends}.
  * Set Python compatibility version to 2; add XS and XB-Python-Version.
  * New upstream release.
    - Drop patch "plurals"; doesn't apply anymore and it seems to build fine
      without now.
    - Drop patch "scrollkeeper" and add a rule to drop installed scrollkeeper
      files; partially applied upstream and I don't understand what the
      reminder of the patch was meant to fix.

 -- Loic Minier <lool@dooz.org>  Sat, 09 Jun 2007 20:35:36 +0200

meld (1.1.4-1) unstable; urgency=low

  * Acknowledge NMU
  * New upstream release (Closes: #382055)
    - Tab width fixes (Closes: #372587)

 -- Ross Burton <ross@debian.org>  Fri, 27 Apr 2007 10:02:37 +0100

meld (1.1.3-1.2) unstable; urgency=medium

  * Non-maintainer upload to fix build failure.
  * Remove duplicate plurals for languages with only one nplurals;
    fixes build failure with newer gettext (Closes: #385177).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 15 Sep 2006 14:09:05 +0200

meld (1.1.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to the new python policy (Closes: #380868):
    + use dh_pysupport instead of dh_python.
    + remove custom postinst.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: meld
Section: gnome
Priority: optional
Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs,
               gnome-pkg-tools
Build-Depends-Indep: python,
                     python-support (>= 0.4.0),
                     intltool,
                     scrollkeeper
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Loic Minier <lool@dooz.org>
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/meld
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/meld/
XS-Python-Version: >= 2.3

Package: meld
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= 2.4),
         python-glade2 (>= 2.4)
Recommends: yelp,
            python-gnome2,
            python-gconf,
            python-gtksourceview2
XB-Python-Version: ${python:Versions}
Description: graphical tool to diff and merge files
 Meld is a tool which allows the user to see the changes in, and merge between,
 either two files, two directories, or two files with a common ancestor.

## meld 1.4.0

=== debian/changelog ===
meld (1.4.0-2) unstable; urgency=low

  * Re-upload to unstable

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 07 Feb 2011 13:10:48 +0100

meld (1.4.0-1) experimental; urgency=low

  * New upstream release
  * Drop fix-chinese-translation.patch as it has been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 28 Sep 2010 14:29:19 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      python-support (>= 0.4.0),
                      intltool,
                      scrollkeeper
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Loic Minier <lool@dooz.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/meld
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/meld/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_INSTALL_CHANGELOGS_ALL += NEWS
DEB_INSTALL_DOCS_ALL = AUTHORS

DEB_MAKE_INVOKE += prefix=/usr
DEB_MAKE_BUILD_TARGET := all
DEB_MAKE_INSTALL_TARGET := DESTDIR=$(CURDIR)/debian/meld install

binary-install/meld::
	dh_pysupport -p$(cdbs_curpkg)

binary-post-install/meld::
	rm -rf debian/$(cdbs_curpkg)/usr/share/application-registry

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/meld/([\d\.]+)/meld-([\d\.]+)\.tar\.gz

## meld 1.5.0

=== debian/changelog ===
meld (1.5.0-0ubuntu1) natty; urgency=low

  * New upstream release

  [ Iain Buclaw ]
  * debian/patches/diff_tree_store.patch:
    - Fix crash trying to insert integers into a text column (LP: #703603)

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 19 Jan 2011 14:50:11 +1100

=== debian/control ===
--- 
+++ 
@@ -18,18 +18,18 @@
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/meld
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/meld/
-XS-Python-Version: >= 2.3
+XS-Python-Version: >= 2.5
 
 Package: meld
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
-         python-gtk2 (>= 2.4),
+         python-gtk2 (>= 2.14),
          python-glade2 (>= 2.4)
 Recommends: yelp,
             python-gnome2,
             python-gconf,
-            python-gtksourceview2
+            python-gtksourceview2 (>= 2.4)
 XB-Python-Version: ${python:Versions}
 Description: graphical tool to diff and merge files
  Meld is a tool which allows the user to see the changes in, and merge between,

## meld 1.5.2

=== debian/changelog ===
meld (1.5.2-1ubuntu2) oneiric; urgency=low

  * cherrypick a patch from upstream git:
    - Fix-newline-disagreement-on-otherwise-empty-lines.patch (d03a77c805)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Thu, 06 Oct 2011 19:32:35 +0200

meld (1.5.2-1ubuntu1) oneiric; urgency=low

  * cherrypick two patches from upstream git:
    - fix-modified-indicator.patch (5f94be6667)
    - fix-save-after-undo.patch (7cf7d4f663)

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Wed, 28 Sep 2011 20:39:45 +0200

meld (1.5.2-1) experimental; urgency=low

  [ Balint Reczey ]
  * New upstream development release (Closes: #635303)
  * debian/control.in:
    - Standards-Version is 3.9.2, no changes needed.
    - Allow DM uploads
  * transition from dh_pysupport to dh_python2 (Closes: #635936)
  * depend on Python >= 2.6
  * update debian/watch to check *.tar.xz

  [ Josselin Mouette ]
  * Add missing dependency on patch. Closes: #629824.

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 07 Apr 2011 19:28:14 +0200

meld (1.5.1-1) experimental; urgency=low

  * New upstream development release (Closes: #619078)
    - Start file chooser dialogs from last location (Closes: #388343)
    - Add support for the Fossil SCM

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 22 Mar 2011 17:23:15 +0100

meld (1.5.0-1) experimental; urgency=low

  * New upstream release
    - Use TextBuffer instead of maintaining duplicate copy of text
      (Closes: #602988)
    - Use Subversion's XML status output (Closes: #545359)
    - Use bzr 'short' status for more robust parsing (Closes: #565253)
    - Add a man page (Peter Tyser)
    - Require Python 2.5, Gtk+/PyGtk 2.14, PyGtkSourceView 2.4 (optional)
  * bump version of dependencies
  * depend on python-gobject
  * drop Debian specific man page

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 30 Dec 2010 15:11:35 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: meld
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 5),
               cdbs (>= 0.4.90~),
               gnome-pkg-tools
Build-Depends-Indep: python (>=2.6.6-3~),
                     intltool,
                     scrollkeeper
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Balint Reczey <balint@balintreczey.hu>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/meld
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/meld/
X-Python-Version: >= 2.6

Package: meld
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= 2.14),
         python-glade2 (>= 2.14),
         python-gobject (>= 2.16),
         patch
Recommends: yelp,
            python-gnome2,
            python-gconf,
            python-gtksourceview2 (>= 2.4)
Description: graphical tool to diff and merge files
 Meld is a tool which allows the user to see the changes in, and merge between,
 either two files, two directories, or two files with a common ancestor.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEB_MAKE_INSTALL_TARGET := DESTDIR=$(CURDIR)/debian/meld install
 
 binary-install/meld::
-	dh_pysupport -p$(cdbs_curpkg)
+	dh_python2 -p$(cdbs_curpkg)
 
 binary-post-install/meld::
 	rm -rf debian/$(cdbs_curpkg)/usr/share/application-registry

## meld 1.5.3

=== help/C/Makefile ===

.SUFFIXES :
include ../../INSTALL

LANG := $(notdir $(CURDIR))
XML_DIR_ := $(DESTDIR)$(helpdir)/meld/$(LANG)
OMF_NAME := meld-$(LANG).omf
OMF_DIR_ := $(DESTDIR)$(sharedir)/omf/meld
OMF_STATE:= $(DESTDIR)$(localstatedir)/lib/scrollkeeper
INST_XML := $(helpdir_)/$(LANG)/meld.xml

.PHONY : all
all $(OMF_NAME).install : $(OMF_NAME)
	scrollkeeper-preinstall $(INST_XML) $(OMF_NAME) $(OMF_NAME).install

.PHONY : install
install : $(OMF_NAME).install
	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_)
	install -m 644 meld.xml $(XML_DIR_)/meld.xml
	-install -m 644 $< $(OMF_DIR_)/$(OMF_NAME)
	-scrollkeeper-update -p $(OMF_STATE) -o $(OMF_DIR_)

.PHONY : uninstall
uninstall :
	-rm -f $(OMF_DIR_)/$(OMF_NAME) \
		$(XML_DIR_)/meld.xml
	-rmdir $(XML_DIR_)
	-scrollkeeper-update -p $(OMF_STATE) -o $(OMF_DIR_)

.PHONY : clean
clean :
	-rm -f $(OMF_NAME).install

=== debian/changelog ===
meld (1.5.3-1ubuntu1) precise; urgency=low

  * cherrypick patches from upstream git:
    - Fix-refresh-action-to-not-reset-modified-flags-close.patch (619de18270)
    - Improve-popup-right-click-behaviour-in-tree-views-cl.patch (fbbb890013)

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 25 Mar 2012 20:55:39 +0200

meld (1.5.3-1) experimental; urgency=low

  [ Balint Reczey ]
  * New upstream development release
    - remove AUTHORS file
  * debian/control.in:
    - Added the new homepage
  * debian/rules
    - Don't ship NEWS file as changelog, too

  [ Josselin Mouette ]
  * Replace python-gobject by python-gobject-2.

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 28 Jan 2012 15:50:48 -0700

=== debian/control ===
--- 
+++ 
@@ -19,6 +19,7 @@
 Standards-Version: 3.9.2
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/meld
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/meld/
+Homepage: http://meldmerge.org
 X-Python-Version: >= 2.6
 
 Package: meld
@@ -27,7 +28,7 @@
          ${misc:Depends},
          python-gtk2 (>= 2.14),
          python-glade2 (>= 2.14),
-         python-gobject (>= 2.16),
+         python-gobject-2 (>= 2.16),
          patch
 Recommends: yelp,
             python-gnome2,

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 include /usr/share/cdbs/1/class/makefile.mk
 include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 -include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk
-
-DEB_INSTALL_CHANGELOGS_ALL += NEWS
-DEB_INSTALL_DOCS_ALL = AUTHORS
 
 DEB_MAKE_INVOKE += prefix=/usr
 DEB_MAKE_BUILD_TARGET := all

## meld 1.6.0

=== debian/changelog ===
meld (1.6.0-1) unstable; urgency=low

  * New upstream release
  * debian/control.in:
    - Standards-Version is 3.9.3, no changes needed.

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 28 Apr 2012 13:34:10 +0200

meld (1.5.4-1) unstable; urgency=low

  * New upstream development release

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 02 Apr 2012 23:29:36 +0200

## meld 1.6.1

=== Makefile ===
--- 
+++ 
@@ -8,19 +8,8 @@
 VERSION := $(shell grep "^version" meld/meldapp.py | cut -d \"  -f 2)
 RELEASE := meld-$(VERSION)
 MELD_CMD := ./meld #--profile
-TESTNUM := 1
-DEVELOPER := 0
 SPECIALS := bin/meld meld/paths.py
 BROWSER := firefox
-
-ifeq ($(DEVELOPER), 1)
-.PHONY:rundiff
-rundiff: check
-	echo $(prefix)
-	$(MELD_CMD) . ../meld #?.txt
-	#$(MELD_CMD) ntest/file$(TESTNUM)*
-	#./meld {.,../old/dev/meld}/meld
-endif
 
 .PHONY:all
 all: $(addsuffix .install,$(SPECIALS)) meld.desktop
@@ -73,7 +62,7 @@
 	$(PYTHON)    -c 'import compileall; compileall.compile_dir("$(DESTDIR)$(libdir_)",10,"$(libdir_)")'
 	$(PYTHON) -O -c 'import compileall; compileall.compile_dir("$(DESTDIR)$(libdir_)",10,"$(libdir_)")'
 	install -m 644 \
-		data/ui/*.glade \
+		data/ui/*.ui \
 		$(DESTDIR)$(sharedir_)/ui
 	install -m 644 \
 		data/ui/*.xml \
@@ -82,17 +71,15 @@
 		data/icons/*.xpm \
 		data/icons/*.png \
 		$(DESTDIR)$(sharedir_)/icons
-	install -m 644 data/icons/icon.png \
-		$(DESTDIR)$(sharedir)/pixmaps/meld.png
-	install -m 644 data/icons/16x16/meld.png \
+	install -m 644 data/icons/hicolor/16x16/apps/meld.png \
 		$(DESTDIR)$(sharedir)/icons/hicolor/16x16/apps/meld.png
-	install -m 644 data/icons/22x22/meld.png \
+	install -m 644 data/icons/hicolor/22x22/apps/meld.png \
 		$(DESTDIR)$(sharedir)/icons/hicolor/22x22/apps/meld.png
-	install -m 644 data/icons/32x32/meld.png \
+	install -m 644 data/icons/hicolor/32x32/apps/meld.png \
 		$(DESTDIR)$(sharedir)/icons/hicolor/32x32/apps/meld.png
-	install -m 644 data/icons/48x48/meld.png \
+	install -m 644 data/icons/hicolor/48x48/apps/meld.png \
 		$(DESTDIR)$(sharedir)/icons/hicolor/48x48/apps/meld.png
-	install -m 644 data/icons/48x48/meld.svg \
+	install -m 644 data/icons/hicolor/scalable/apps/meld.svg \
 		$(DESTDIR)$(sharedir)/icons/hicolor/scalable/apps/meld.svg
 	$(MAKE) -C po install
 	$(MAKE) -C help install
@@ -121,46 +108,3 @@
 	$(MAKE) -C po uninstall
 	$(MAKE) -C help uninstall
 
-.PHONY: test
-test:
-	$(MELD_CMD) ntest/file0{a,b}
-	$(MELD_CMD) ntest/file5{a,b,c}
-	$(MELD_CMD) ntest/{1,2}
-	$(MELD_CMD) ntest/{1,2,3}
-
-.PHONY:changelog
-changelog:
-	# need to find the most recently tagged version automatically
-	svn2cl -r 1083:HEAD
-
-.PHONY:release
-release: check tag upload announce
-
-.PHONY:check
-check:
-	@tools/check_release
-
-.PHONY:tag
-tag:
-	svn cp -m "Tagged." svn+ssh://stevek@svn.gnome.org/svn/meld/trunk svn+ssh://stevek@svn.gnome.org/svn/meld/tags/release-$(subst .,_,$(VERSION))
-
-.PHONY:upload
-upload:
-	scp tools/make_release stevek@master.gnome.org:
-	ssh stevek@master.gnome.org python make_release $(VERSION)
-
-.PHONY:announce
-announce:
-	$(BROWSER) http://freshmeat.net/projects/meld/releases/new
-	$(BROWSER) http://www.gnomefiles.org/devs/newversion.php?soft_id=203 &
-	$(BROWSER) http://sourceforge.net/project/admin/editpackages.php?group_id=53725 &
-	#$(BROWSER) http://www.gnome.org/project/admin/newrelease.php?group_id=506 &
-	
-.PHONY:update
-update:
-	svn update
-	
-.PHONY:backup
-backup:
-	tar cvfz ~/archive/meld-`date -I`.tgz --exclude='*.pyc' --exclude='*.bak' --exclude='*.swp' .
-	@echo Created ~/archive/meld-`date -I`.tgz

=== debian/changelog ===
meld (1.6.1-1) unstable; urgency=low

  * New upstream release

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 07 Nov 2012 14:52:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,17 +6,16 @@
 Source: meld
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ross Burton <ross@debian.org>
+Maintainer: Ross Burton <ross@debian.org>
 Build-Depends: debhelper (>= 5),
                cdbs (>= 0.4.90~),
                gnome-pkg-tools
 Build-Depends-Indep: python (>=2.6.6-3~),
                      intltool,
                      scrollkeeper
-Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Balint Reczey <balint@balintreczey.hu>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Balint Reczey <balint@balintreczey.hu>
 DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/meld
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/packages/unstable/meld/
 Homepage: http://meldmerge.org

## meld 1.8.1

=== debian/changelog ===
meld (1.8.1-1) unstable; urgency=low

  * New upstream release:
    - Change order of version control selection for CVS and old SVN
    - Fix escaped markup in folder comparisons
    - Updated translations
  * debian/copyright
    - update FSF's address

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 23 Sep 2013 15:10:40 +0200

meld (1.8.0-1) unstable; urgency=low

  * New upstream release:
    - Open new tab in existing Meld instance using --new-tab option
      (Closes: #457552)
    - Better handling of version controlled directories (Closes: #687111)
    - Improved theme colour handling (Closes: #444996)
    - Minor fixes (Closes: #685164, #296553, #688058)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 15 Sep 2013 11:22:09 +0200

meld (1.7.5-1) experimental; urgency=low

  * New upstream development snapshot release 1.7.5
  * Drop Arch, Codeville and RCS as supported VCS-es in the package
    documentation
  * Drop copyright-fsf-address.patch and man1-hyphen-to-minus.patch since
    they have been integrated upstream

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 01 Sep 2013 10:01:57 +0200

meld (1.7.4-1) experimental; urgency=low

  * New upstream development snapshot release 1.7.4

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 28 Jul 2013 11:35:53 +0200

meld (1.7.3-1) experimental; urgency=low

  * New upstream development snapshot release 1.7.3
  * Setting myself as the maintainer of the package with Ross's agreement
    Many thanks to Ross Burton for taking care of the package for long years!
  * debian/control.in:
    - drop DM-Upload-Allowed field

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 12 Jun 2013 18:59:51 -0600

meld (1.7.2-1) experimental; urgency=low

  [Boruch Baum <boruch_baum@gmx.com> ]
  * New upstream development snapshot release
    I have to note here that Gianfranco Costamagna
    <costamagnagianfranco@yahoo.it> sent me patches updating the Debian
    package in very similar ways, too.
  * debian/control.in:
    - Standards-Version is 3.9.4, no changes needed.
    - debhelper updated to 9
    - expanded length of long description
  * debian/compat
    - updated from 5 to 9
  * debian/copyright
    - updated to format	1.0
    - added copyright and license details

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 23 May 2013 16:37:08 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: meld
Section: gnome
Priority: optional
Maintainer: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.90~),
               gnome-pkg-tools
Build-Depends-Indep: python (>=2.6.6-3~),
                     intltool,
                     scrollkeeper
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 3.9.4
Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/meld
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/meld/
Homepage: http://meldmerge.org
X-Python-Version: >= 2.6

Package: meld
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         python-gtk2 (>= 2.14),
         python-glade2 (>= 2.14),
         python-gobject-2 (>= 2.16),
         patch
Recommends: yelp,
            python-gnome2,
            python-gconf,
            python-gtksourceview2 (>= 2.4)
Description: graphical tool to diff and merge files
 Meld  is  a  graphical  diff viewer and merge application for the Gnome
 desktop.  It supports 2 and 3-file diffs,  recursive  directory  diffs,
 diffing  of directories under version control (Bazaar, Codeville, CVS,
 Darcs, Fossil SCM, Git, Mercurial, Monotone, Subversion), as well as
 the  ability  to manually and automatically merge file differences.

## meld 1.8.4

=== help/es/Makefile ===

.SUFFIXES :
include ../../INSTALL

LANG := $(notdir $(CURDIR))
XML_DIR_ := $(DESTDIR)$(helpdir)/meld/$(LANG)
OMF_NAME := meld-$(LANG).omf
OMF_DIR_ := $(DESTDIR)$(sharedir)/omf/meld
OMF_STATE:= $(DESTDIR)$(localstatedir)/lib/scrollkeeper
INST_XML := $(helpdir_)/$(LANG)/meld.xml

.PHONY : all
all $(OMF_NAME).install : $(OMF_NAME)
	scrollkeeper-preinstall $(INST_XML) $(OMF_NAME) $(OMF_NAME).install

.PHONY : install
install : $(OMF_NAME).install
	-mkdir -m 755 -p $(OMF_DIR_) $(XML_DIR_)
	install -m 644 meld.$(LANG).xml $(XML_DIR_)/meld.xml
	-install -m 644 $< $(OMF_DIR_)/$(OMF_NAME)
	-scrollkeeper-update -p $(OMF_STATE) -o $(OMF_DIR_)

.PHONY : uninstall
uninstall :
	-rm -f $(OMF_DIR_)/$(OMF_NAME) \
		$(XML_DIR_)/meld.xml
	-rmdir $(XML_DIR_)
	-scrollkeeper-update -p $(OMF_STATE) -o $(OMF_DIR_)

.PHONY : clean
clean :
	-rm -f $(OMF_NAME).install

=== debian/changelog ===
meld (1.8.4-1) unstable; urgency=low

  * New upstream release:
    - Fix crash when scanning CVS-only folders (Kai Willadsen)
    - Fix crash on Windows when missing cdll.intl (Bartosz Dziewoński)
    - Fix crash with Italian (it_IT.utf8) locale (Balint Reczey)
    - Updated translations
  * Drop obsolete 0001-Fix-crash-with-Italian-it_IT.utf8-locale.patch

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 23 Jan 2014 20:46:42 +0100

meld (1.8.3-2) unstable; urgency=low

  * Fix crash with Italian locale

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 26 Dec 2013 22:00:31 +0100

meld (1.8.3-1) unstable; urgency=low

  * New upstream release:
    - Fix subdirectory comparisons for Subversion 1.6 (Ben Ross)
    - Fix git status parsing for some statuses (Tom Scytale)
    - Don't disable updating when syncpoints aren't yet active (Kai Willadsen)
    - Fix modifying column properties causing crashes when using .ini config
      backend (Kai Willadsen)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 15 Dec 2013 01:46:21 +0100

meld (1.8.2-1) unstable; urgency=medium

  * New upstream release:
    - Fix regression selecting Subversion 1.6 repositories
    - Updated translations
    - Minor fixes

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 18 Oct 2013 10:27:59 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                      intltool,
                      scrollkeeper
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Svn: svn://svn.debian.org/pkg-gnome/packages/unstable/meld
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/meld/
 Homepage: http://meldmerge.org

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/meld/([\d\.]+)/meld-([\d\.]+)\.tar\.xz

## meld 3.12.0

=== debian/changelog ===
meld (3.12.0-1) unstable; urgency=medium

  * New upstream stable release
    - Fixes:
      * Ignore missing files when cleaning up our recently-used folder
        (Kai Willadsen)
      * Guard against dialogs missing properties they should definitely have
        (Kai Willadsen)
      * Remove old property from patch dialog (Kai Willadsen)
    - Translation updates
  * Update VCS URI to canonical one to keep Lintian happy
  * Fix GNOME capitalization in detailed description
  * Update d/copyright to latest upstream file hierarchy

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 27 Sep 2014 11:05:05 +0200

meld (3.11.4-1) experimental; urgency=medium

  [Jackson Doak]
  * New upstream development release
    - Fixes:
      * Only apply the auto merge flag to the last comparison started
        (Kai Willadsen)
      * Fix install layout issues on Debian-based systems (Kai Willadsen)
      * Revert to using latin1 as a fallback encoding; this will be reverted
        in the next unstable series (Kai Willadsen)
    - Translation updates
  * Drop 02_remove_install_layout.patch, fixed upstream

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 20 Sep 2014 09:23:57 +0200

meld (3.11.3-1) experimental; urgency=medium

  * New upstream development release

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 23 Aug 2014 21:43:46 +0200

meld (3.11.2-1) experimental; urgency=medium

  [ Jackson Doak <noskcaj@ubuntu.com> ]
  * New upstream release
  * Add 02_remove_install_layout.patch from ubuntu. Fixes their ftbfs.

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 20 Jul 2014 03:05:38 +0200

meld (3.11.1-1) experimental; urgency=low

  * New upstream development release:
    - Features:
      * New (alpha) infrastructure for stand-alone Windows builds
        (Kai Willadsen)
      * Display renames and metadata in Bazaar repositories (Louis des Landes)
      * Improved tab labels in version control comparisons (Kai Willadsen)
      * New merge-order preference to accompany comparison-order (Kai Willadsen)
      * Added a prompt to mark a conflict as resolved from file comparison
        (Kai Willadsen)
    - Fixes:
      * Fix filtering for shallow folder comparisons (Casey)
      * Several install and distribution fixes (Kai Willadsen)
      * Sundry bug fixes (Dominique Leuenberger, Thomas Klausner,
        Louis des Landes, Kai Willadsen)
  * Ship GSettings schema (Closes: #522015)
  * Drop obsolete patch fixing meld's shebang. It is done automatically now.
  * Drop obsoletely recommended gir1.2-gconf-2.0

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 26 May 2014 10:25:13 +0700

meld (3.11.0-1) experimental; urgency=low

  * New upstream development release:
    - Features:
      * Supporting hiding empty filtered folders in folder comparison
        (Gianni Trovisi, Kai Willadsen)
      * Notify user when files change externally in file comparison
        (Kai Willadsen)
      * Use standard GIO file trash handling when deleting files (Kai Willadsen)
      * Newly written Mallard-based help (Kai Willadsen)
    - User interface updates:
      * Support GNOME 3-style application menu (Kai Willadsen)
      * Visual improvements to several icons (Kai Willadsen)
      * Update Meld's colour scheme (Kai Willadsen)
      * Many visual styling updates, layout tweaks and UI polish (Kai Willadsen)
    - Internal changes:
      * Port to GObject introspection, GTK+ 3, GApplication, GSettings and other
        new things starting with 'G' (Kai Willadsen)
      * Port to distutils, based on python-distutils-extra (Kai Willadsen)
      * Move to using CSS for styling and colour definitions (Kai Willadsen)
      * Update to use more modern GTK widgets (Peter Tyser, Kai Willadsen)
      * Move a lot of extra UI construction into glade/UI files (Kai Willadsen)
      * Make several custom icons themeable (Kai Willadsen)
      * Make Meld a single-instance application, and add support for multiple
        windows (Kai Willadsen)
  * Update dependencies to use GTK 3 libraries and GObject introspection,
    namely libgtk-3-0, python-gi, libgtksourceview-3.0-1,
    gir1.2-gtksource-3.0, python-gi-cairo and libcanberra-gtk3-module
  * Depend on GtkSourceView instead of just recommending it
  * Build depend on dh-python, itstool and libxml2-utils
  * Drop obsolete empty-directory.patch and sourceview-package.patch patches

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 23 Jan 2014 21:03:05 +0100

## meld 3.12.1

=== debian/changelog ===
meld (3.12.1-2) unstable; urgency=medium

  * Fix SIGINT handling by cherry-picking patch from upstream
    (Closes: #768180)

 -- Balint Reczey <balint@balintreczey.hu>  Tue, 28 Oct 2014 00:52:16 +0100

meld (3.12.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes:
      * Work around change colours not displaying on GTK+ 3.14
        (Kai Willadsen) (Closes: #764823)
      * Fix missing cache opcodes in some circumstances (Kai Willadsen)
      * Fix text view expansion when resizing patch dialog (Kai Willadsen)
      * Build fix to always include C locale when LINGUAS is set
        (Kai Willadsen)
    - Translation updates
  * Back-port patch to fix working with Subversion reposiories
    (Closes: #764671)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 26 Oct 2014 17:44:58 +0100

## meld 3.12.3

=== debian/changelog ===
meld (3.12.3-1) unstable; urgency=medium

  * New upstream release 3.12.2
    - Fixes:
      * Fix display of change action buttons and line numbers when line
        numbers are shown (Kai Willadsen)
      * Fix positioning of the change action buttons (Kai Willadsen)
      * Fix tab width setting not working correctly (Kai Willadsen)
        (Closes: #780326)
      * Fix starting comparison of Subversion checkouts from a subdirector
        (Kai Willadsen)
      * Fix starting Meld from a differently-named symlink (Kai Willadsen)
      * Ignore errors when copying file metadata if the destination file
        system doesn't support it (Kai Willadsen)
      * Automatically recompile stale in-place gschemas (Kai Willadsen)
      * Handle SIGINT to support previous quit-on-Ctrl-C behaviour
        (Kai Willadsen)
    - Translation updates
  * New upstream release 3.12.3
    - Fixes:
      * Fix inconsistent file chooser when cancelling file selection
        (Kai Willadsen) (Closes: #773839)
      * UTF-8 encode patches created from the patch dialog (Kai Willadsen)
      * Fix text-wrapping reset caused by the commit dialog (Kai Willadsen)
      * Fix text background display on certain themes (Kai Willadsen)
      * Fix for launching Meld with certain Git environment variables
        (Kai Willadsen)
    - Translation updates
  * drop obsoleted patches

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 13 Mar 2015 18:45:16 +0100

## meld 3.14.0

=== debian/changelog ===
meld (3.14.0-1) unstable; urgency=medium

  * New upstream release 3.14.0
    - Many new features and fixes, please see NEWS file for details
    - Translation updates
  * Bump standards version

 -- Balint Reczey <balint@balintreczey.hu>  Sat, 25 Jul 2015 11:53:56 +0200

## meld 3.14.2

=== debian/changelog ===
meld (3.14.2-1) unstable; urgency=medium

  * New upstream release 3.14.2
    - Fixes:
      * Fix some GTK+ assertions on window close (Zain)
      * Fix commit error with unicode commit messages (Kai Willadsen)
      * Add manual appdata kudos markers (Kai Willadsen)
    - Translations:
      * Anders Jonsson (sv)
      * Josef Andersson (sv)
      * Marek Černocký (cs)
      * Milo Casagrande (it)
      * Pedro Albuquerque (pt)
      * Rafael Fontenelle (pt_BR)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 10 Dec 2015 00:12:09 +0100

meld (3.14.1-1) unstable; urgency=medium

  [Michael Biebl]
  * Remove Debian menu entries

  [ Balint Reczey ]
  * New upstream release 3.14.1
    - Features:
      * Offer to open binary files externally (Pratik Dayama)
      * Use locale-based default encodings (Kai Willadsen)
    - Fixes
      * Fix crash with some GTK+ versions when using –output (Kai Willadsen)
      * Fix merge-all action not working at all (Kai Willadsen)
      * Fix creating patches with unicode path names (Kai Willadsen)
        (Closes: #784940)
      * Fix copy-to-clipboard option in patch dialog (Kai Willadsen)
      * Fix diffmap alignment for new GTK+ allocation behaviour
        (Kai Willadsen)
      * Improve float accuracy in folder comparison timestamp resolution
        (Kai Willadsen)
      * Fix default SVN keyword filter to escape $ characters (Kai Willadsen)
      * Fix display of unicode –help from command line (Kai Willadsen)
      * Fix keyboard shortcut docs (Kai Willadsen)
      * Don’t incorrectly show identical notification for changed folder
        comparisons (Kai Willadsen)
    - Translations
      * Polish (Piotr Drąg)

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 04 Oct 2015 10:09:17 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: meld
Section: gnome
Priority: optional
Maintainer: Balint Reczey <balint@balintreczey.hu>
Build-Depends: debhelper (>= 9),
               cdbs (>= 0.4.90~),
               python (>=2.6.6-3~),
               dh-python,
               itstool,
               libxml2-utils,
               gnome-pkg-tools
Build-Depends-Indep: intltool,
                     scrollkeeper
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 3.9.5
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/meld
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/meld/
Homepage: http://meldmerge.org
X-Python-Version: >= 2.6

Package: meld
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         libgtk-3-0 (>= 3.6),
         python-gi (>= 3.8),
         libgtksourceview-3.0-1 (>= 3.6),
         gir1.2-gtksource-3.0 (>= 3.6),
         python-gi-cairo,
         libcanberra-gtk3-module,
         patch
Recommends: yelp
Description: graphical tool to diff and merge files
 Meld  is  a  graphical  diff viewer and merge application for the GNOME
 desktop.  It supports 2 and 3-file diffs,  recursive  directory  diffs,
 diffing  of directories under version control (Bazaar, Codeville, CVS,
 Darcs, Fossil SCM, Git, Mercurial, Monotone, Subversion), as well as
 the  ability  to manually and automatically merge file differences.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
DEB_PYTHON2_MODULE_PACKAGES=meld
include /usr/share/cdbs/1/class/python-distutils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk


binary-post-install/meld::
	rm -rf debian/$(cdbs_curpkg)/usr/share/doc/meld-* \
		debian/$(cdbs_curpkg)/usr/share/meld/icons/COPYING \
		debian/$(cdbs_curpkg)/usr/share/pyshared/meld/vc/COPYING \
		debian/$(cdbs_curpkg)/usr/lib/python2.7/dist-packages/meld/vc/COPYING

## meld 3.16.3

=== debian/changelog ===
meld (3.16.3-1) unstable; urgency=medium

  * New upstream release
    - Fix bad scroll syncing and inability to move between comparison
      chunks in file comparisons (Vasily Galkin)
    - Improve version control view behaviour when opening missing paths
      (Vasily Galkin)
    - Fix saving of text created in blank comparison (Vasily Galkin)
    - GTK+ 3.22 compatibility fixes for saving window size (Kai Willadsen)
    - Fix formatted patches missing newlines in certain cases
      (Kai Willadsen)
    - Silence GTK+ warning logging if not running in uninstalled (i.e.,
      development) mode (Kai Willadsen)
    - Update AppData (Kai Willadsen)
    - Translation updates

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 26 Sep 2016 15:18:14 +0200

meld (3.16.2-1) unstable; urgency=medium

  * New upstream release
    - Fix performance regression in text filtering (Kai Willadsen)
    - Fix regression in respecting custom text encoding (Kai Willadsen)
    - Translation updates

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 01 Aug 2016 20:37:29 +0200

meld (3.16.1-2) unstable; urgency=medium

  * Bump GTK dependency versions to >= 3.14 (Closes: #830952)

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 13 Jul 2016 18:29:09 +0200

meld (3.16.1-1) unstable; urgency=medium

  * New upstream release 3.16.1
    - Fix regression in support for file comparisons from pipes
      (Kai Willadsen) (Closes: #825979)
    - Add open build service directories to the version control filter
      (Dominique Leuenberger)
    - Add darcs to list of loaded plugins (pbgc)
    - Fix the dark style (Kai Willadsen)

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 20 Jun 2016 20:30:06 +0200

meld (3.16.0-1) unstable; urgency=low

  * New upstream release 3.16.0 (Closes: #822993)
    - Many new features and fixes, please see NEWS file for details
    - Translation updates
  * Bump standards version to 3.9.8

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 01 May 2016 15:30:18 +0200

## meld 3.16.4

=== debian/changelog ===
meld (3.16.4-1) unstable; urgency=medium

  * New upstream release
    - Make error displaying more robust with non-ASCII locales (Vasily Galkin)
    - Handle themes with scrollbar steppers better (Kai Willadsen)
    - Fix a traceback when pane has no file (Claude Paroz)
    - Fix triggering "Delete Change" actions from menu (Kai Willadsen)
    - Handle style theme not existing (Patrick Griffis)
    - Fix unintentional glib requirement bump (Kai Willadsen)
      (Closes: #846404)
    - Translation updates

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 29 Dec 2016 01:33:38 +0100

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,9 @@
 Build-Depends-Indep: intltool,
                      scrollkeeper
 Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/meld
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/meld/
+Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/meld/
 Homepage: http://meldmerge.org
 X-Python-Version: >= 2.6
 
@@ -26,10 +26,10 @@
 Architecture: all
 Depends: ${python:Depends},
          ${misc:Depends},
-         libgtk-3-0 (>= 3.6),
+         libgtk-3-0 (>= 3.14),
          python-gi (>= 3.8),
-         libgtksourceview-3.0-1 (>= 3.6),
-         gir1.2-gtksource-3.0 (>= 3.6),
+         libgtksourceview-3.0-1 (>= 3.14),
+         gir1.2-gtksource-3.0 (>= 3.14),
          python-gi-cairo,
          libcanberra-gtk3-module,
          patch
